package com.sw.common.accessory.server.service;

import com.sw.common.accessory.server.dto.DeterminationEchnologyDto;
import com.sw.common.accessory.server.dto.DeterminationQualityDto;
import com.sw.common.accessory.server.entity.DeterminationQuality;
import com.sw.common.core.response.Result;
import com.sw.common.mybatisplus.base.BaseService;

public interface DeterminationQualityService extends BaseService<DeterminationQuality> {

    DeterminationQuality findEchnologyByUniqueCode(String uniqueCode);
    DeterminationQuality findEchnologyByAccessoryId(Long accessoryId);

    Result confirmAudit(DeterminationQualityDto dto, DeterminationQuality entity);

    Result unConfirmAudit(DeterminationEchnologyDto dto, DeterminationQuality entity);

    DeterminationQualityDto findById(Long id);
    DeterminationQuality getDeterminationQualityById(Long id);

    DeterminationQualityDto findByAccessoryId(Long id);

    DeterminationQualityDto findByInputBillNo(String billNo);
}
